%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-Pluggable
Version:       5.2
Release:       1mamba
Summary:       Module::Pluggable - automatically give your module the ability to have plugins
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/S/SI/SIMONW/Module-Pluggable-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Module::Pluggable - automatically give your module the ability to have plugins.

%prep
%setup -q -n Module-Pluggable-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Nov 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2-1mamba
- update to 5.2

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 3.8-3mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 3.8-1mamba
- update to 3.8

* Mon Nov 12 2007 Aleph0 <aleph0@openmamba.org> 3.6-1mamba
- package created by autospec
